Bug 866501 - Please update export/import section for 'identical' to clarify what is identical
Please update export/import section for 'identical' to clarify what is identical
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Docs Installation Guide (Show other bugs)
550
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dan Macpherson
Dan Macpherson
:
Depends On:
Blocks: sat55-docs 922626
  Show dependency treegraph
 
Reported: 2012-10-15 09:58 EDT by Clifford Perry
Modified: 2013-10-11 07:27 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-11 07:27:19 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Clifford Perry 2012-10-15 09:58:45 EDT
Description of problem:
https://access.redhat.com/knowledge/docs/en-US/Red_Hat_Network_Satellite/5.5/html/Installation_Guide/sect-Installation_Guide-Content_and_Synchronization-Satellite_Export.html

"6.3. Synchronization via Satellite Export

The Red Hat Network Satellite Exporter ( rhn-satellite-exporter) tool exports Satellite content in an XML format, which a user imports into another identical Satellite. Export the content into a chosen directory with the -d option, transport the directory to another Satellite, and use the Red Hat Network Satellite Synchronization Tool to import the contents. This synchronizes the two Satellites.
"

Within the above text, the usage of identical implies (incorrectly) that the synchronization via export/import is only possible with identical versions of Satellite ( 5.5 and 5.5; or 5.4 and 5.4). This is incorrect, you can generate an export on say Sat 5.3 and import it to 5.5, or generate an export on 5.5 and import it into 5.4 and 5.3. The end result of this export and import is that the channel content for the two Satellites for the specified channels will become identical. 

So, either, drop the word 'identical' or clarify it to mean the content within the Satellites.



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 2 Dan Macpherson 2013-07-07 23:49:18 EDT
Dropping "identical".

Quick needinfo: can you only export/import from one version to the same or higher version? i.e:

You can export from 5.3 and import to 5.6,
You can export from 5.6 and import to 5.6,
But you can't export from 5.6 to 5.3?
Comment 3 Dan Macpherson 2013-07-07 23:50:39 EDT
(or is it a case of you can, but it's not recommended?)
Comment 4 Clifford Perry 2013-07-12 06:22:39 EDT
(In reply to Dan Macpherson from comment #2)
> Dropping "identical".
> 
> Quick needinfo: can you only export/import from one version to the same or
> higher version? i.e:
> 
> You can export from 5.3 and import to 5.6,
yes

> You can export from 5.6 and import to 5.6,
yes

> But you can't export from 5.6 to 5.3?
this *should* work, we try to maintain compatibilities cross release, so any supported Satellite can import content from another Satellite. 

Of course, identical *will* always work. 

Cliff
Comment 6 Dan Macpherson 2013-09-08 23:55:00 EDT
Verified.
Comment 7 Clifford Perry 2013-10-11 07:27:19 EDT
Satellite 5.6 Documentation is published, as part of the 5.6 release and can be found here: 

https://access.redhat.com/site/documentation/Red_Hat_Satellite/

Closing this bug out. Please open a new bug, if there is further issues/concerns with the Satellite Documentation.

Regards,
Cliff

Note You need to log in before you can comment on or make changes to this bug.